
<div class="row my-3">
    <div class="col-md-6">
        <h2>Listes des Users</h2>
    </div>
    <div class="col-md-6 text-right">
    
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#staticBackdrop">
          New
        </button>
  
      </div>
</div>

<app-modal (modalUser)="persistUser($event)"></app-modal>

<div class="row">
    <div class="col-md-6" *ngFor = "let user of users">
        <div class="card border-primary mb-3">
            <div class="card-header">
                <h3>Adress Id :</h3><h4>{{user.userId}}</h4>
            </div>
            <div class="card-body">
                <ul>
                    <li class="list-group-item"> <strong>First Name : </strong>{{user.firstName}}</li>
                    <li class="list-group-item"> <strong>Last Name : </strong>{{user.lastName}}</li>
                    <li class="list-group-item"> <strong>Email  : </strong>{{user.email}}</li>
                    <li class="list-group-item"> <strong>Password : </strong>{{user.password}}</li>

                    <li class="list-group-item text-center"> 

                    <button (click) ="edit(user)" class="btn btn-primary mr-2" data-toggle="modal" data-target="#exampleModal">Edit</button> 
                    <button (click) ="deleteUser(user)"  class="btn btn-dark mr-2">Delete</button> 

                    </li> 
                   
                </ul>
    
            
            </div>
          </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Edit User</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form #updateForms = "ngForm"  (ngSubmit)="updateUser()">
                <div class="modal-body">
          

                  <div class="form-group">
                  <label for="userId">User Id</label>
                  <input #userId disabled [(ngModel)]="userToUpdate.userId" name="userId" type="text" class="form-control" id="userId">
                </div>
                    <div class="form-group">
                        <label for="firstName">First Name</label>
                        <input #firstName [(ngModel)]="userToUpdate.firstName" name="firstName" type="text" class="form-control" id="firstName">
                      </div>
                      <div class="form-group">
                        <label for="lastName">Last Name</label>
                        <input #lastName [(ngModel)]="userToUpdate.lastName" name="lastName"  type="text" class="form-control" id="lastName">
                      </div>
                      <div class="form-group">
                        <label for="email">Email</label>
                        <input #email [(ngModel)]="userToUpdate.email" name="email"  type="text" class="form-control" id="email">
                      </div>
            
                      <div class="form-group">
                        <label for="password">Password</label>
                        <input #password [(ngModel)]="userToUpdate.password" name="password"  type="password" class="form-control" id="password">
                      </div>
  
          
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <input type="submit" value="Update" class="btn btn-primary">
                  </div>
                </form>
        </div>
        
      </div>
    </div>
  </div>